
From: Grzegorz Piotr Jaskiewicz <gj@pointblue.com.pl>

Fix various gcc-4.0 compilation errors.

Signed-off-by: Grzegorz Jaskiewicz <gj at pointblue.com.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/joystick/grip_mp.c |    3 ++-
 25-akpm/drivers/net/3c507.c              |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/input/joystick/grip_mp.c~gcc-4-build-fixes drivers/input/joystick/grip_mp.c
--- 25/drivers/input/joystick/grip_mp.c~gcc-4-build-fixes	2004-09-23 00:07:42.584723488 -0700
+++ 25-akpm/drivers/input/joystick/grip_mp.c	2004-09-23 00:07:42.590722576 -0700
@@ -107,6 +107,8 @@ static const int init_seq[] = {
 
 static int axis_map[] = { 5, 9, 1, 5, 6, 10, 2, 6, 4, 8, 0, 4, 5, 9, 1, 5 };
 
+static void register_slot(int i, struct grip_mp *grip);
+
 /*
  * Returns whether an odd or even number of bits are on in pkt.
  */
@@ -355,7 +357,6 @@ static int get_and_decode_packet(struct 
 	u32 packet;
 	int joytype = 0;
 	int slot = 0;
-	static void register_slot(int i, struct grip_mp *grip);
 
 	/* Get a packet and check for validity */
 
diff -puN drivers/net/3c507.c~gcc-4-build-fixes drivers/net/3c507.c
--- 25/drivers/net/3c507.c~gcc-4-build-fixes	2004-09-23 00:07:42.586723184 -0700
+++ 25-akpm/drivers/net/3c507.c	2004-09-23 00:07:42.590722576 -0700
@@ -294,6 +294,7 @@ static void el16_tx_timeout (struct net_
 static void hardware_send_packet(struct net_device *dev, void *buf, short length, short pad);
 static void init_82586_mem(struct net_device *dev);
 static struct ethtool_ops netdev_ethtool_ops;
+static void init_rx_bufs(struct net_device *);
 
 static int io = 0x300;
 static int irq;
@@ -612,7 +613,6 @@ static irqreturn_t el16_interrupt(int ir
 	}
 
 	if ((status & 0x0070) != 0x0040 && netif_running(dev)) {
-		static void init_rx_bufs(struct net_device *);
 		/* The Rx unit is not ready, it must be hung.  Restart the receiver by
 		   initializing the rx buffers, and issuing an Rx start command. */
 		if (net_debug)
_
